[Pkg-virtualbox-commits] r249 - in trunk/debian: . patches
meskes at alioth.debian.org
meskes at alioth.debian.org
Fri Apr 4 17:44:29 UTC 2008
Author: meskes
Date: 2008-04-04 17:44:28 +0000 (Fri, 04 Apr 2008)
New Revision: 249
Added:
trunk/debian/patches/09-init-lsb.dpatch
Modified:
trunk/debian/changelog
trunk/debian/patches/00list
trunk/debian/patches/10-initscript.dpatch
Log:
Made initscript even more LSB compliant by using LSB logging functions.
Modified: trunk/debian/changelog
===================================================================
--- trunk/debian/changelog 2008-04-04 08:25:42 UTC (rev 248)
+++ trunk/debian/changelog 2008-04-04 17:44:28 UTC (rev 249)
@@ -6,6 +6,8 @@
[ Michael Meskes ]
* Fixed default ARCH setting in module Makefile, closes: #474196
+ * Made initscript even more LSB compliant by using LSB logging
+ functions, closes: #474089
-- Michael Meskes <meskes at debian.org> Fri, 04 Apr 2008 10:16:48 +0200
Modified: trunk/debian/patches/00list
===================================================================
--- trunk/debian/patches/00list 2008-04-04 08:25:42 UTC (rev 248)
+++ trunk/debian/patches/00list 2008-04-04 17:44:28 UTC (rev 249)
@@ -6,5 +6,6 @@
06-vboxadd-udev.dpatch
07-xsession.dpatch
08-init-fail.dpatch
+09-init-lsb.dpatch
10-initscript.dpatch
Added: trunk/debian/patches/09-init-lsb.dpatch
===================================================================
--- trunk/debian/patches/09-init-lsb.dpatch (rev 0)
+++ trunk/debian/patches/09-init-lsb.dpatch 2008-04-04 17:44:28 UTC (rev 249)
@@ -0,0 +1,48 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 09-init-lsb.dpatch by Michael Meskes <meskes at debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Make initscript lsb cmpliant.
+
+ at DPATCH@
+diff -urNad virtualbox-ose~/src/VBox/Installer/linux/vboxnet.sh virtualbox-ose/src/VBox/Installer/linux/vboxnet.sh
+--- virtualbox-ose~/src/VBox/Installer/linux/vboxnet.sh 2008-02-20 14:47:20.000000000 +0100
++++ virtualbox-ose/src/VBox/Installer/linux/vboxnet.sh 2008-02-21 00:57:47.000000000 +0100
+@@ -19,10 +19,10 @@
+ #
+ ### BEGIN INIT INFO
+ # Provides: vboxnet
+-# Required-Start: $network
+-# Required-Stop:
+-# Default-Start: 3 5
+-# Default-Stop:
++# Required-Start: $remote_fs $network
++# Required-Stop: $remote_fs
++# Default-Start: 2 3 4 5
++# Default-Stop: 0 1 6
+ # Description: VirtualBox permanent host networking setup
+ ### END INIT INFO
+
+@@ -101,17 +101,19 @@
+ fi
+
+ if [ "$system" = "other" ]; then
++ . /lib/lsb/init-functions
++
+ fail_msg() {
+ [ -f "$VARFILE" ] && rm $VARFILE
+- echo " ...fail!"
++ log_action_end_msg 1
+ }
+
+ succ_msg() {
+- echo " ...done."
++ log_action_end_msg 0
+ }
+
+ begin() {
+- echo -n $1
++ log_action_begin_msg $1
+ }
+ fi
+
Property changes on: trunk/debian/patches/09-init-lsb.dpatch
___________________________________________________________________
Name: svn:executable
+ *
Modified: trunk/debian/patches/10-initscript.dpatch
===================================================================
--- trunk/debian/patches/10-initscript.dpatch 2008-04-04 08:25:42 UTC (rev 248)
+++ trunk/debian/patches/10-initscript.dpatch 2008-04-04 17:44:28 UTC (rev 249)
@@ -8,21 +8,6 @@
diff -urNad virtualbox-ose~/src/VBox/Installer/linux/vboxnet.sh virtualbox-ose/src/VBox/Installer/linux/vboxnet.sh
--- virtualbox-ose~/src/VBox/Installer/linux/vboxnet.sh 2008-02-20 14:47:20.000000000 +0100
+++ virtualbox-ose/src/VBox/Installer/linux/vboxnet.sh 2008-02-21 00:57:47.000000000 +0100
-@@ -19,10 +19,10 @@
- #
- ### BEGIN INIT INFO
- # Provides: vboxnet
--# Required-Start: $network
--# Required-Stop:
--# Default-Start: 3 5
--# Default-Stop:
-+# Required-Start: $remote_fs $network
-+# Required-Stop: $remote_fs
-+# Default-Start: 2 3 4 5
-+# Default-Stop: 0 1 6
- # Description: VirtualBox permanent host networking setup
- ### END INIT INFO
-
@@ -32,6 +32,11 @@
VARFILE="/var/run/VirtualBox/vboxnet"
TAPDEV="/dev/net/tun"
@@ -59,7 +44,7 @@
+ then
+ # Fail if we don't have the kernel tun device
+ # Make sure that the tun module is loaded (Ubuntu 7.10 needs this)
-+ # We only test do once, but we have to do it here, because otherwise an empty
++ # We only test this once, but we have to do it here, because otherwise an empty
+ # configuration file would trigger the modprobe too.
+ modprobe tun > /dev/null 2>&1
+ if ! cat /proc/misc 2>/dev/null | grep tun > /dev/null
More information about the Pkg-virtualbox-commits
mailing list